Page MenuHomePhabricator

[SVE] Remove calls to VectorType::getNumElements from Scalar
ClosedPublic

Authored by ctetreau on Jun 19 2020, 2:37 PM.

Diff Detail

Event Timeline

ctetreau created this revision.Jun 19 2020, 2:37 PM
Herald added a project: Restricted Project. · View Herald Transcript
ctetreau updated this revision to Diff 273180.Jun 24 2020, 3:45 PM

catch stragglers

sdesmalen accepted this revision.Jul 2 2020, 9:47 AM

LGTM

I think this patch can land and doesn't affect the behaviour of the ACLE, as the code LowerMatrixIntrinsics only works on matrix intrinsics (always fixed width), and RewriteStatepointsForGC and Scalarizer are not passes run by default. The SROA changes seem safe because after D76720 the code bails out early on for scalable vectors (with the exception of running mem2reg, but your changes don't affect that).

This revision is now accepted and ready to land.Jul 2 2020, 9:47 AM
This revision was automatically updated to reflect the committed changes.